USERADD(8)

NOME
useradd - crea un nuovo utente o aggiorna le informazioni predefinite per i nuovi utenti

SINOSSI

useradd [opzioni] LOGIN

useradd -D

useradd -D [opzioni]

DESCRIZIONE

Quando viene invocato senza l'opzione -D, il comando useradd crea un nuovo account di utente usando i valori specificati sulla riga di comando ed i valori predefiniti dal sistema. A seconda dalle opzioni nella riga di comando, il comando useradd aggiornerà i file di sistema che lo necessitano, creerà la home directory, e lì verranno copiati i file iniziali.

Normalmente viene anche creato un gruppo per il nuovo utente (vedere -g, -N, -U e USERGROUPS_ENAB)."

OPZIONI

Il comando useradd accetta le seguenti opzioni:

-b, --base-dirBASE_DIR
    La directory base predefinita, nel caso che l'opzione -dHOME_DIR non sia specificata. BASE_DIR viene concatenata con il nome dell'account per definire la directory home. Se l'opzione -m non è usata, BASE_DIR deve esistere.

    Se questa opzione non è specificata, useradd userà la directory base specificata dalla variabile HOME in /etc/default/useradd oppure la costante /home.

-c, --commentCOMMENTO
    Un testo qualsiasi. Di norma è una breve descrizione del login, ed è attualmente usato come nome completo dell'utente.

-d, --homeHOME_DIR
    Il nuovo utente verrà creato usando HOME_DIR come valore per la directory di login dell'utente. Il comportamento predefinito è di aggiungere il nome LOGIN in fondo a BASE_DIR ed usare quello come nome di directory di login. Non è necessario che la directory HOME_DIR esista, ma se non ci fosse non verrà creata.

-D, --defaults
    Vedere oltre, la sezione «Cambiare i valori predefiniti».

-e, --expiredateDATA_SCADENZA
    La data in cui l'account dell'utente verrà disabilitato. La data è specificata nel formato AAAA-MM-GG.

    Se non specificato diversamente, useradd userà la data di scadenza impostata con la variabile EXPIRE nel file /etc/default/useradd o un campo vuoto (nessuna scadenza).

-f, --inactiveINATTIVO
    Il numero di giorni dopo la scadenza della password prima che l'account venga permanentemente disabilitato. Un valore pari a 0 disabilita l'account non appena la password è scaduta, ed un valore pari a -1 disabilita questa funzionalità.

    Il comportamento predefinito di useradd è di usare il periodo di inattività specificato dalla variabile INACTIVE del file /etc/default/useradd oppure -1 (con variabile assente).

-g, --gidGRUPPO
    Il nome o numero del gruppo di connessione iniziale dell'utente. Il nome del gruppo deve esistere. Un numero di gruppo deve riferirsi ad un gruppo già esistente.

    Se non specificato, il comportamento di useradd varierà in base alla variabile USERGROUPS_ENAB del file /etc/login.defs. Se questa variabile è impostata a yes (o se è stata usata l'opzione -U/--user-group nella riga di comando) verrà creato un gruppo per l'utente con lo stesso nome. Se la variabile è impostata a no (o se è stata usata l'opzione -N/--no-user-group nella riga di comando) useradd imposterà il gruppo primario dell'utente in base a quello impostato nella variabile GROUP del file /etc/default/useradd o a 100 se non specificato.

-G, --groupsGRUPPO1[,GRUPPO2,...[,GRUPPON]]]
    Una lista di gruppi supplementari di cui l'utente è altresì membro. Ciascun gruppo è separato dal successivo da una virgola, senza spazi bianchi intermedi. I gruppi sono soggetti alle stesse restrizioni del gruppo dato con l'opzione -g. Il comportamento predefinito è che l'utente appartenga solo al gruppo iniziale.

-h, --help
    Mostra un messaggio di aiuto ed esce.

-k, --skelSKEL_DIR
    La directory «skeleton» che contiene file e directory da copiare nella directory home dell'utente quando viene creata da useradd.

    Questa opzione è valida solo se anche l'opzione -m (o --create-home) è stata specificata.

    Se questa opzione non è impostata, la directory «skeleton» è definita dalla variabile SKEL nel file /etc/default/useradd o, altrimenti, vale /etc/skel.

    Se possibile vengono copiate le ACL e gli attributi estesi.

-K, --keyKEY=VALUE.
    Forza l'impostazione al di là di quanto specificato in /etc/login.defs (UID_MIN, UID_MAX, UMASK, PASS_MAX_DAYS e altri). Esempio: -K PASS_MAX_DAYS=-1 può essere usato durante la creazione di account di sistema per disabilitare la scadenza della password anche se l'account di sistema non ha affatto la password. Possono essere specificate più opzioni -K, come in: -K UID_MIN=100 -K UID_MAX=499

-l, --no-log-init
    Non aggiunge l'utente ai database «lastlog» e «faillog».

    Normalmente i dati utente nei database «lastlog» e «faillog» vengono azzerati per evitare di riutilizzare dati di un utente cancellato in precedenza.

-m, --create-home
    Crea la directory home dell'utente nel caso in cui non esista. I file e directory contenuti nella directory «skeleton» (che può essere definita con l'opzione -k) vengono copiati nella directory home.

    Se questa opzione non viene utilizzata e se non è attiva la voce CREATE_HOME, la directory non viene creata.

-M
    Non crea la directory home dell'utente nonostante la configurazione di sistema in /etc/login.defs (CREATE_HOME) sia impostata a yes.

-N, --no-user-group
    Non crea un gruppo con lo stesso nome dell'utente, ma aggiunge l'utente al gruppo specificato con l'opzione -g o tramite la variabile GROUP nel file /etc/default/useradd.

    Il comportamento predefinito (se le opzioni -g, -N e -U non sono specificate) è definito dalla variabile USERGROUPS_ENAB nel file /etc/login.defs.

-o, --non-unique
    Permette la creazione di un utente con un UID duplicato (non unico).

    Questa opzione è valida solo congiuntamente all'opzione -u.

-p, --passwordPASSWORD
    La password cifrata, come restituita da crypt(3). Il comportamento predefinito è di disabilitare la password.

    Nota: questa opzione non è consigliata perché la password (o password cifrata) sarà visibile agli utenti che elencano i processi.

    Ci si deve accertare che la password rispetti le norme delle password del sistema.

-r, --system
    Crea un account di sistema.

    Gli utenti di sistema vengono creati senza le informazioni sulla scadenza in /etc/shadow e con l'ID numerico scelto nell'intervallo SYS_UID_MIN-SYS_UID_MAX, definito nel file /etc/login.defs, anziché UID_MIN-UID_MAX (e le loro controparti GID per la creazione dei gruppi).

    Notare che useradd non creerà la directory home per questi utenti indipendentemente da quanto impostato in /etc/login.defs (CREATE_HOME). Si deve specificare l'opzione -m se si vuole creare la directory home per un account di sistema.

-R, --root CHROOT_DIR
    Effettua le modifiche nella directory CHROOT_DIR e usa i file di configurazione dalla directory CHROOT_DIR.

-s, --shellSHELL
    Il nome della shell di login dell'utente. Il comportamento predefinito è di lasciare vuoto questo campo, che fa sì che il sistema selezioni la shell di connessione predefinita tramite la variabile SHELL in /etc/default/useradd, oppure un testo vuoto.

-u, --uidUID
    Il valore numerico dell'identificatore (ID) dell'utente. Questo valore deve essere univoco, a meno che non venga usata l'opzione -o. Il valore non deve essere negativo. La scelta predefinita è quella di usare il minimo valore di ID maggiore o eguale a UID_MIN e maggiore a qualunque altro utente.

    Vedere anche la descrizione dell'opzione -r e UID_MAX

-U, --user-group
    Crea un gruppo con lo stesso nome dell'utente e aggiunge l'utente al gruppo stesso.

    Il comportamento predefinito (se le opzioni -g, -N e -U non sono specificate) è definito dalla variabile USERGROUPS_ENAB nel file /etc/login.defs.

-Z, --selinux-userUTENTESE
    L'utente SELinux per questo login utente. Lasciando questo campo vuoto si fa in modo che il sistema selezioni automaticamente l'utente SELinux.

  Cambiare i valori predefiniti

Quando invocato con la sola opzione -D, useradd mostrerà i valori predefiniti correnti. Quando invocato con l'opzione -D e altre opzioni, useradd aggiornerà i valori predefiniti per le opzioni specificate. Le opzioni valide sono:

-b, --base-dirBASE_DIR
    Il prefisso del percorso per la directory home del nuovo utente. Il nome dell'utente verrà aggiunto alla fine di BASE_DIR per creare il nome della nuova directory home, a meno che non venga usata l'opzione -d quando si crea un nuovo account.

    Questa opzione imposta la variabile HOME del file /etc/default/useradd.

-e, --expiredateDATA_SCADENZA
    La data in cui l'account dell'utente verrà disabilitato.

    Questa opzione imposta la variabile EXPIRE del file /etc/default/useradd.

-f, --inactiveINATTIVO
    Il numero di giorni dopo la scadenza di una password prima che l'account venga disabilitato.

    Questa opzione imposta la variabile INACTIVE del file /etc/default/useradd.

-g, --gidGRUPPO
    The group name or ID for a new user's initial group (when the -N/--no-user-group is used or when the USERGROUPS_ENAB variable is set to no in /etc/login.defs). The named group must exist, and a numerical group ID must have an existing entry.

    Questa opzione imposta la variabile GROUP nel file /etc/default/useradd.

-s, --shellSHELL
    Il nome della shell di login per il nuovo utente.

    Questa opzione imposta la variabile SHELL del file /etc/default/useradd.

NOTE

L'amministratore di sistema è responsabile del posizionamento dei file utente predefiniti nella directory /etc/skel/ (o qualsiasi altra directory impostata in /etc/default/useradd o nella riga di comando).

AVVISI/CAVEAT

Non è possibile aggiungere un utente ad un gruppo NIS o LDAP. Questo deve essere fatto sul server corrispondente.

Analogamente, se il nome utente esiste già in un database esterno come NIS o LDAP, useradd bloccherà la creazione dell'account.

I nomi utente devono iniziare con una lettera minuscola o un underscore, seguiti da lettere minuscole, cifre numeriche, underscore o trattini. Possono terminare con il simbolo del dollaro. In termini di espressioni regolari: [a-z_][a-z0-9_-]*[$]?

I nomi utente non possono eccedere i 32 caratteri di lunghezza.

CONFIGURAZIONE

Le seguenti variabili di configurazione in /etc/login.defs cambiano il comportamento di questo strumento:

CREATE_HOME (booleano)
    Indica se per i nuovi utenti va creata la directory home.

    Questa impostazione non viene applicata agli utenti di sistema e può essere modificata sulla riga di comando.

GID_MAX (numerico), GID_MIN (numerico)
    Intervallo di ID di gruppo per la creazione di gruppi normali tramite useradd, groupadd o newusers.

    Il valore predefinito per GID_MIN (rispettivamente GID_MAX) è 1000 (rispettivmente 60000).

MAIL_DIR (testo)
    La directory di spool per la posta. Questa è necessaria per manipolare la casella di posta quando il corrispondente account utente viene modificato o cancellato. Se non è specificata viene utilizzato un valore impostato al momento della compilazione.

MAIL_FILE (testo)
    Imposta la posizione delle caselle di posta degli utenti relative alla loro directory home.

Le variabili MAIL_DIR e MAIL_FILE vengono utilizzate da useradd, usermod e userdel per creare, spostare e cancellare le caselle di posta dell'utente.

Se MAIL_CHECK_ENAB è impostata a yes allora sono anche utilizzate per impostare la variabile d'ambiente MAIL.

MAX_MEMBERS_PER_GROUP (numero)
    Numero massimo di membri per gruppo. Quando viene raggiunto il massimo, viene creata una nuova riga per il gruppo nel file /etc/group (con lo stesso nome, stessa password e stesso GID).

    Il valore predefinito è 0, che non pone nessun limite al numero di membri per gruppo.

    Questa opzione (dividi gruppo) permette di limitare la lunghezza delle righe nel file «group». Questo è utile per essere certi che le righe per gruppi NIS non eccedano i 1024 caratteri.

    Se si deve impostare questo limite, si può usare 25.

    Nota: la divisione dei gruppi potrebbe non essere supportata da ogni strumento (anche all'interno del pacchetto Shadow). Non si dovrebbe utilizzare questa variabile a meno di esserci forzati.

PASS_MAX_DAYS (numerico)
    Il numero massimo di giorni che una password può essere utilizzata. Se la password è più vecchia verrà imposto il suo cambiamento. Se non specificato viene assunto -1 (che disabilita questo controllo).

PASS_MIN_DAYS (numerico)
    Il numero minimo di giorni tra due cambiamenti di password. Ogni tentativo di cambiare la password prima di questo periodo verrà rifiutato. Se non specificato viene assunto -1 (che disabilita questo controllo).

PASS_WARN_AGE (numerico)
    Il numero di giorni per i quali un utente va avvisato che la sua password sta per scadere. Se zero l'utente viene avvisato solo alla scadenza. Un valore negativo indica che non si deve avvisare mai. Se non specificato allora non c'è nessun avviso.

SYS_GID_MAX (numerico), SYS_GID_MIN (numerico)
    Intervallo di ID di gruppo utilizzato per la creazione di un gruppo di sistema da useradd, groupadd o newusers.

    Il valore predefinito per SYS_GID_MIN (rispettivamente SYS_GID_MAX) è 101 (rispettivamente GID_MIN-1).

SYS_UID_MAX (numerico), SYS_UID_MIN (numerico)
    Intervallo di ID utente per la creazione degli utenti di sistema con useradd o newusers.

    Il valore predefinito per SYS_UID_MIN (rispettivamente SYS_UID_MAX) è 101 (rispettivamente UID_MIN-1).

UID_MAX (numerico), UID_MIN (numerico)
    Intervallo di ID utente da utilizzare nella creazione degli utenti normali tramite useradd o newusers.

    Il valore predefinito per UID_MIN (rispettivamente UID_MAX) è 1000 (rispettivamente 60000).

UMASK (numerico)
    La maschera di permessi alla creazione dei file è inizializzata con questo valore. Se non specificato la maschera viene impostata a 022.

    useradd e newusers usano questa maschera per impostare i permessi della directory home che creano.

    Viene anche utilizzata da login per definire la maschera iniziale dell'utente. Notare che questa maschera può essere modificata dalla riga GECOS dell'utente (se QUOTAS_ENAB è impostato) o specificando un limite con l'identificativo K in limits(5).

USERGROUPS_ENAB (booleano)
    Abilita l'impostazione dei bit di gruppo di umask in modo che siano gli stessi dei bit del proprietario (esempio: 022 -> 002, 077 -> 007) per utenti non root a condizione che uid e gid siano identici e che il nome utente sia lo stesso del gruppo primario.

    Se impostato a yes, userdel cancellerà il gruppo dell'utente se non contiene altri membri, e useradd creerà automaticamente un gruppo con lo stesso nome dell'utente.

FILE

/etc/passwd
    Informazioni sugli account utente.

/etc/shadow
    Informazioni sicure sugli account utente.

/etc/group
    Informazioni sugli account di gruppo.

/etc/gshadow
    Informazioni sicure sugli account di gruppo.

/etc/default/useradd
    Valori predefiniti per la creazione dell'account.

/etc/skel/
    Directory contenente i file predefiniti.

/etc/login.defs
    Configurazione del pacchetto password shadow

VALORI RESTITUITI

Il comando useradd restituisce i seguenti valori:

VEDERE ANCHE

chfn(1), chsh(1), passwd(1), crypt(3), groupadd(8), groupdel(8), groupmod(8), login.defs(5), newusers(8), userdel(8), usermod(8).